SDL_lround(3)

NAME
SDL_lround - Round x to the nearest integer representable as a long

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

long SDL_lround(double x);

DESCRIPTION
Rounds x to the nearest integer. Values halfway between integers will be rounded away from zero. Domain: -INF<=x<=INF Range: MIN_LONG<=y<=MAX_LONG This function operates on double-precision floating point values, use SDL_lround
 for single-precision floats. To get the result as a floating-point type, use SDL_round .

FUNCTION PARAMETERS

x   floating point value

RETURN VALUE
Returns the nearest integer to x

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_lroundf(3), SDL_round(3), SDL_floor(3), SDL_ceil(3), SDL_trunc(3)